Subject: bug#41343: tab-bar-mode: Close tab on mouse-2 click

From: Juri Linkov <[email-masked]>
Date: Sun, 05 Sep 2021 20:17:20 +0300

>> Could you please help to check if everything is correct
>> on the Windows part (unfortunately, I don't have Windows).
>> The changes in w32inevt.c and w32term.c just mirror the changes
>> in xdisp.c and xterm.c, but I'm sure I might have made a typo.
>
> I will, if you tell me what to try after applying the patch.

Now the branch 'feature/tab-bar-events' is ready for merging to master.
What remains to do is to test it on Windows.  Could you please try
on Windows GUI and on Windows console to use mouse-1 to select a tab,
to click mouse-1 a close button to close it, to drag a tab by mouse-1,
to click mouse-2 to close the clicked tab, mouse-3 to pop up
the context menu and select "Close", and also wheel-left/wheel-right
to switch to the next/previous tab, and S-wheel-left/wheel-right
to move the tab.